<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:util="http://www.springframework.org/schema/util" xmlns:aop="http://www.springframework.org/schema/aop" xmlns:tx="http://www.springframework.org/schema/tx"
	xsi:schemaLocation="
http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.0.xsd
http://www.springframework.org/schema/aop http://www.springframework.org/schema/aop/spring-aop-3.0.xsd
http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-3.0.xsd">
	<!-- Spring JMS Configuration start-->
	<bean id="jmsConnectionFactory" class="org.springframework.jndi.JndiObjectFactoryBean">
		<property name="jndiName" value="jms/cds/LoggerConnectionFactory"/>
	</bean>
	<bean id="readAuditQueue" class="org.springframework.jndi.JndiObjectFactoryBean">
		<property name="jndiName" value="jms/cds/ReadAuditQueue"/>
	</bean>
	<bean id="readRpcAuditQueue" class="org.springframework.jndi.JndiObjectFactoryBean">
		<property name="jndiName" value="jms/pathways/ReadPathwaysAuditQueue"/>
	</bean>
	<bean id="readMessagesAuditJmsTemplate" class="org.springframework.jms.core.JmsTemplate">
		<property name="connectionFactory" ref="jmsConnectionFactory"/>
		<property name="receiveTimeout" value="10000"/>
		<property name="defaultDestination" ref="readAuditQueue"/>
	</bean>
	<bean id="readRpcMessagesAuditJmsTemplate" class="org.springframework.jms.core.JmsTemplate">
		<property name="connectionFactory" ref="jmsConnectionFactory"/>
		<property name="receiveTimeout" value="10000"/>
		<property name="defaultDestination" ref="readRpcAuditQueue"/>
	</bean>
	<bean id="auditLogPersistenceManager" class="gov.va.med.cds.audit.persistence.jms.JmsAuditLogPersistenceManager">
		<property name="readMessagesAuditJmsTemplate" ref="readMessagesAuditJmsTemplate"/>
		<property name="appName" ref="cdsAppName" />
	</bean>
	<bean id="rpcAuditLogPersistenceManager" class="gov.va.med.cds.audit.persistence.jms.JmsAuditLogPersistenceManager">
		<property name="readMessagesAuditJmsTemplate" ref="readRpcMessagesAuditJmsTemplate"/>
		<property name="appName" ref="pathwaysAppName" />
	</bean>
	<!-- Spring JMS Configuration end -->
</beans>